QXmppHttpUploadSlotIq Class Reference
Stanzas

Represents an HTTP File Upload IQ result for receiving an upload slot as defined by XEP-0363: HTTP File Upload. More...

`#include <QXmppHttpUploadIq.h>`

Inheritance diagram for QXmppHttpUploadSlotIq:
[legend]
Collaboration diagram for QXmppHttpUploadSlotIq:
[legend]

## Public Member Functions

| QXmppHttpUploadSlotIq (const QXmppHttpUploadSlotIq &)
QXmppHttpUploadSlotIq & | operator= (const QXmppHttpUploadSlotIq &)
QUrl | putUrl () const
| Returns the URL for uploading via. HTTP PUT.
void | setPutUrl (const QUrl &putUrl)
| Sets the URL the client should use for uploading.
QUrl | getUrl () const
| Returns the URL to where the file will be served.
void | setGetUrl (const QUrl &getUrl)
| Sets the download URL.
QMap< QString, QString > | putHeaders () const
void | setPutHeaders (const QMap< QString, QString > &putHeaders)
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Static Public Member Functions

static bool | isHttpUploadSlotIq (const QDomElement &element)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Detailed Description

Represents an HTTP File Upload IQ result for receiving an upload slot as defined by XEP-0363: HTTP File Upload.

Since
  QXmpp 1.1

## Member Function Documentation

## putHeaders()

QMap< QString, QString > QXmppHttpUploadSlotIq::putHeaders | ( |  | ) | const

Returns a map of header fields (header name -> value) that need to be included in the PUT (upload) request. This won't contain any other fields than: "Authorization", "Cookie" or "Expires".

## setPutHeaders()

void QXmppHttpUploadSlotIq::setPutHeaders | ( | const QMap< QString, QString > & | putHeaders | ) |

Sets the header fields the client needs to include in the PUT (upload) request. All fields other than "Authorization", "Cookie" or "Expires" will be ignored.

The documentation for this class was generated from the following files:

- QXmppHttpUploadIq.h
- QXmppHttpUploadIq.cpp